# 
# Database : `akb`
# 

# Table structure for table `articles`
#

CREATE TABLE articles (
  FileID int(3) unsigned NOT NULL auto_increment,
  Title varchar(50) NOT NULL default '',
  Author varchar(50) NOT NULL default 'Andy Grayndler',
  Category varchar(50) default '',
  Keywords varchar(80) default NULL,
  Articledata longtext,
  Approved char(1) default 'N',
  Views int(10) default '0',
  SubmitDate timestamp(14) NOT NULL,
  Votes int(16) NOT NULL default '0',
  Score int(16) NOT NULL default '0',
  PRIMARY KEY  (FileID),
  KEY Keywords (Keywords)
) TYPE=MyISAM;


#
# Table structure for table `categories`
#

CREATE TABLE categories (
  CatID int(3) unsigned NOT NULL auto_increment,
  Category varchar(50) NOT NULL default '',
  Approved char(1) default 'N',
  PRIMARY KEY  (CatID)
) TYPE=MyISAM;

#
# Dumping data for table `categories`
#

INSERT INTO categories VALUES (1, 'Linux', 'Y');
INSERT INTO categories VALUES (2, 'Applications', 'Y');
INSERT INTO categories VALUES (3, 'MySQL', 'Y');
INSERT INTO categories VALUES (4, 'Debian', 'Y');
INSERT INTO categories VALUES (5, 'UbuntuLinux', 'Y');
INSERT INTO categories VALUES (6, 'Windows', 'Y');
INSERT INTO categories VALUES (7, 'aphpkb', 'Y');
INSERT INTO categories VALUES (8, 'Installation', 'Y');

# --------------------------------------------------------

#
# Table structure for table `comments`
#

CREATE TABLE comments (
  FileID mediumint(8) unsigned NOT NULL default '0',
  ParentID mediumint(8) unsigned NOT NULL default '0',
  Title varchar(50) NOT NULL default '',
  Author varchar(50) NOT NULL default '',
  Email varchar(50) NOT NULL default '',
  Articledata longtext,
  Approved char(1) default 'N',
  SubmitDate datetime NOT NULL default '0000-00-00 00:00:00',
  id mediumint(8) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (id),
  KEY FileID (FileID),
  KEY ParentID (ParentID)
) TYPE=MyISAM;


#
# Table structure for table `questions`
#

CREATE TABLE questions (
  QuestionID mediumint(8) NOT NULL auto_increment,
  Question longtext NOT NULL,
  Name varchar(50) NOT NULL default '',
  Email varchar(50) NOT NULL default '',
  Respond char(1) NOT NULL default 'N',
  PRIMARY KEY  (QuestionID),
  KEY Name (Name)
) TYPE=MyISAM;

#
# Table structure for table `users`
#

CREATE TABLE users (
  user_id mediumint(8) unsigned NOT NULL auto_increment,
  username varchar(20) default NULL,
  first_name varchar(15) NOT NULL default '',
  last_name varchar(30) NOT NULL default '',
  email varchar(40) default NULL,
  password varchar(16) NOT NULL default '',
  registration_date datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (user_id),
  UNIQUE KEY username (username),
  KEY first_name (first_name),
  KEY last_name (last_name),
  KEY password (password)
) TYPE=MyISAM;

#
# Dumping data for table `users`
#

INSERT INTO users VALUES (1, 'admin', 'Andy', 'Grayndler', 'andyg@atmail.com', '16d7f906289d77b3', '2004-08-13 22:49:02');